Foxit PDF Conversion SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData Class Reference

## Public Member Functions
| PDF2ExcelSettingData ()
| Constructor.
| PDF2ExcelSettingData (String decimal_symbol, String thousands_separator, int workbook_settings, boolean enable_aggressive_table_repair, boolean include_watermarks)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getDecimal_symbol ()
| Get a string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents. More...
boolean | getEnable_aggressive_table_repair ()
| Get a boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. More...
boolean | getInclude_watermarks ()
| Get a boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. More...
String | getThousands_separator ()
| Get a string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents. More...
int | getWorkbook_settings ()
| Get an enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents. More...
void | set (String decimal_symbol, String thousands_separator, int workbook_settings, boolean enable_aggressive_table_repair, boolean include_watermarks)
| Set value. More...
void | setDecimal_symbol (String value)
| Set a string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents. More...
void | setEnable_aggressive_table_repair (boolean value)
| Set a boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. More...
void | setInclude_watermarks (boolean value)
| Set a boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. More...
void | setThousands_separator (String value)
| Set a string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents. More...
void | setWorkbook_settings (int value)
| Set an enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents. More...

## Static Public Attributes
static final int | e_WorkbookSettingsDocument = 0
| Create single worksheet for the document.
static final int | e_WorkbookSettingsEachPage = 2
| Create worksheet for each page.
static final int | e_WorkbookSettingsEachTable = 1
| Create worksheet for each table.

## Detailed Description

This class represents setting data used for converting PDF documents to Excel format documents.

## Constructor & Destructor Documentation

## ◆ PDF2ExcelSettingData()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.PDF2ExcelSettingData | ( | String | decimal_symbol,
|  | String | thousands_separator,
|  | int | workbook_settings,
|  | boolean | enable_aggressive_table_repair,
|  | boolean | include_watermarks
| ) |  |

Constructor, with parameters.

Parameters

  [in] | decimal_symbol | A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.
  [in] | thousands_separator | A string value which indicates being recognized as thousands separator during the conversion of PDF documents to excel format documents.
  [in] | workbook_settings | An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.
  [in] | enable_aggressive_table_repair | A boolean value that indicates whether to enabled aggressive table repair during the conversion of PDF documents to Excel format documents. Default value: true. true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents.
  [in] | include_watermarks | A boolean value that indicates whether to include the watermarks during the conversion of PDF documents to Excel format documents. Default value: false. true means to include watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getDecimal_symbol()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.getDecimal_symbol | ( |  | ) |

Get a string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.

The decimal symbol is used to separate the integer part and the decimal part of a number. If this parameter is set to ".", then the number "123.456" will be recognized as 123.456. If this parameter is set to ",", then the number "123,456" will be recognized as 123.456. If this parameter is not set, the decimal symbol will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter thousands_separator. To ensure the correct recognition of the decimal symbol, this parameter should be set together with parameter thousands_separator.

Returns
  A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.

## ◆ getEnable_aggressive_table_repair()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.getEnable_aggressive_table_repair | ( |  | ) |

Get a boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents.

true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. When enabled, this option attempts to preserve the integrity of tables and avoid breaking the table structure. It works by moving overlapping elements to proper boundaries, ensuring that cells, rows, and columns remain correctly aligned in the resulting Excel sheet.

Returns
  A boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. Default value: true.

## ◆ getInclude_watermarks()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.getInclude_watermarks | ( |  | ) |

Get a boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents.

true means to include watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents. If this option is enabled, watermarks of PDF documents will be added to the Excel worksheet during the conversion of PDF documents to Excel format documents. Note that the watermark may overlap worksheet content. Certain cells, such as headers or the region column, might be converted to text boxes and may not be directly editable until the watermark is removed or adjusted.

Returns
  A boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. Default value: false.

## ◆ getThousands_separator()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.getThousands_separator | ( |  | ) |

Get a string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.

The thousands separator is used to separate the thousands part of a number. If this parameter is set to ",", then the number "123,456" will be recognized as 123456. If this parameter is set to ".", then the number "123.456" will be recognized as 123456. If this parameter is set to " ", then the number "123 456" will be recognized as 123456. If this parameter is not set, the thousands separator will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter decimal_symbol. To ensure the correct recognition of the thousands separator, this parameter should be set together with parameter decimal_symbol.

Returns
  A string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.

## ◆ getWorkbook_settings()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.getWorkbook_settings | ( |  | ) |

Get an enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.

Please refer to values starting from com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.e_WorkbookSettingsDocument and this should be one of these values. Default value: com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.e_WorkbookSettingsEachPage .

Returns
  An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.

## ◆ set()

void com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.set | ( | String | decimal_symbol,
|  | String | thousands_separator,
|  | int | workbook_settings,
|  | boolean | enable_aggressive_table_repair,
|  | boolean | include_watermarks
| ) |  |

Set value.

Parameters

  [in] | decimal_symbol | A string value which indicates being recognized as decimal during the conversion of PDF documents to Excel format documents.
  [in] | thousands_separator | A string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.
  [in] | workbook_settings | An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.
  [in] | enable_aggressive_table_repair | A boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. Default value: true. true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents.
  [in] | include_watermark | A boolean value that indicates whether include watermarks during the conversion of PDF documents to Excel format documents. Default value: false. true means to watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents.

Returns
  None.

## ◆ setDecimal_symbol()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.setDecimal_symbol | ( | String | value | ) |

Set a string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.

The decimal symbol is used to separate the integer part and the decimal part of a number. If this parameter is set to ".", then the number "123.456" will be recognized as 123.456. If this parameter is set to ",", then the number "123,456" will be recognized as 123.456. If this parameter is not set, the decimal symbol will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter thousands_separator. To ensure the correct recognition of the decimal symbol, this parameter should be set together with parameter thousands_separator.

Parameters

  [in] | value | A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.

Returns
  None.

## ◆ setEnable_aggressive_table_repair()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.setEnable_aggressive_table_repair | ( | boolean | value | ) |

Set a boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents.

true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. When enabled, this option attempts to preserve the integrity of tables and avoid breaking the table structure. It works by moving overlapping elements to proper boundaries, ensuring that cells, rows, and columns remain correctly aligned in the resulting Excel sheet.

Parameters

  [in] | value | A boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. Default value: true.

Returns
  None.

## ◆ setInclude_watermarks()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.setInclude_watermarks | ( | boolean | value | ) |

Set a boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents.

true means to include watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents. If this option is enabled, watermarks of PDF documents will be added to the Excel worksheet during the conversion of PDF documents to Excel format documents. Note that the watermark may overlap worksheet content. Certain cells, such as headers or the region column, might be converted to text boxes and may not be directly editable until the watermark is removed or adjusted.

Parameters

  [in] | value | A boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. Default value: false.

Returns
  None.

## ◆ setThousands_separator()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.setThousands_separator | ( | String | value | ) |

Set a string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.

The thousands separator is used to separate the thousands part of a number. If this parameter is set to ",", then the number "123,456" will be recognized as 123456. If this parameter is set to ".", then the number "123.456" will be recognized as 123456. If this parameter is set to " ", then the number "123 456" will be recognized as 123456. If this parameter is not set, the thousands separator will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter decimal_symbol. To ensure the correct recognition of the thousands separator, this parameter should be set together with parameter decimal_symbol.

Parameters

  [in] | value | A string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.

Returns
  None.

## ◆ setWorkbook_settings()

com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.setWorkbook_settings | ( | int | value | ) |

Set an enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.

Please refer to values starting from com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.e_WorkbookSettingsDocument and this should be one of these values. Default value: com.foxit.sdk.conversion.pdf2office.PDF2ExcelSettingData.e_WorkbookSettingsEachPage .

Parameters

  [in] | value | An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.

Returns
  None.